Subject: bug#30737: [patch] global-abbrev-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jun 2019 22:00:33 +0200

Eli Zaretskii <[email-masked]> writes:

> But what if you have a variable in a program called "teh"?  Or, as a
> more practical use case, consider this: in a few places in Emacs we
> have a variable named "defalt", because using "default" gets in the
> way for some reason.  Having this turned on globally will silently
> "correct" these variable names, and could cause you real trouble.
>
> This is what I fear.

Yeah, I don't think a global abbrev mode would be generally useful, so
I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no